%define libxres %mklibname xres 1
Name: libxres
Summary:  X Resource Information Extension Library
Version: 1.0.1
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXres-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Resource Information Extension Library

#-----------------------------------------------------------

%package -n %{libxres}
Summary:  X Resource Information Extension Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxres}
X Resource Information Extension Library

#-----------------------------------------------------------

%package -n %{libxres}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxres} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxres-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxres}-devel
Development files for %{name}

%pre -n %{libxres}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxres}-devel
%defattr(-,root,root)
%{_libdir}/libXRes.so
%{_libdir}/libXRes.la
%{_libdir}/pkgconfig/xres.pc
%{_includedir}/X11/extensions/XRes.h
%{_mandir}/man3/XRes*.3x.bz2

#-----------------------------------------------------------

%package -n %{libxres}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxres}-devel = %{version}
Provides: libxres-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxres}-static-devel
Static development files for %{name}

%files -n %{libxres}-static-devel
%defattr(-,root,root)
%{_libdir}/libXRes.a

#-----------------------------------------------------------

%prep
%setup -q -n libXres-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libxres}
%defattr(-,root,root)
%{_libdir}/libXRes.so.1
%{_libdir}/libXRes.so.1.0.0


%changelog
* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
